summaryrefslogtreecommitdiffstats
path: root/test/units/testsuite-18.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test/units/testsuite-18.sh')
-rwxr-xr-xtest/units/testsuite-18.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/test/units/testsuite-18.sh b/test/units/testsuite-18.sh
new file mode 100755
index 0000000..44b792f
--- /dev/null
+++ b/test/units/testsuite-18.sh
@@ -0,0 +1,17 @@
+#!/usr/bin/env bash
+# SPDX-License-Identifier: LGPL-2.1-or-later
+set -eux
+set -o pipefail
+
+systemd-run --wait -p FailureAction=poweroff true
+(! systemd-run --wait -p SuccessAction=poweroff false)
+
+if ! test -f /firstphase ; then
+ echo OK >/firstphase
+ systemd-run --wait -p SuccessAction=reboot true
+else
+ echo OK >/testok
+ systemd-run --wait -p FailureAction=poweroff false
+fi
+
+sleep infinity